Subject: Updated SDP draft available

From: Colin Perkins <[email-masked]>
Date: Thu, 19 Jul 2001 11:20:14 -0400

You can now find draft-ietf-mmusic-sdp-new-03.txt in the internet-drafts
archive. This is an update to RFC 2327, aiming to correct the bugs found
now it's been in use for a while.

Changes in -03:
 - e= and p= were mandatory, and are now optional
 - a=maxptime added
 - Remove references to "conference" from t=, to make it less SAP oriented
 - Note about wrap-around of NTP timestamps in t=
 - Merge draft-olson-sdp-ipv6-00.txt (someone please check the BNF to make
   sure I did this correctly...)

Changes in -02:
 - References updated
 - Section 3.1 replaced with a reference to RFC 2119
 - Use of "application/sdp" as MIME type: SHOULD -> MUST
 - Section 4 now mentions use of SIP and RTSP
 - Section 5.3 now mentions SIP and is less SAP centric
 - Section 6 comments about bandwidth limits rewritten to be less SAP
   specific
 - The section on concatenation of session descriptions (not allowed in
   SAP, allowed in other cases) has been removed. Assume transports of SDP
   specify this?
 - Section 6 has MUST, SHOULD, etc. Please comment.
 - c= talked about how "typically the address is a class D multicast
   address". Made less Mbone specific, to reflect common use of SDP.
 - b= no longer makes a normative reference to the Mbone FAQ for bandwidth
   limits at various TTLs :)
 - m= define relation to MIME types

Comments and suggestions are welcome... this is work in progress.

Cheers,
Colin